//+------------------------------------------------------------------+
//|                                       1.0              LineV.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern int   Tf       = 60 ;

extern color color_v1 = Silver ;
extern int   style_v1 = 1 ;
extern int   witdh_v1 = 1 ;

extern color color_v2 = Silver ;
extern int   style_v2 = 1 ;
extern int   witdh_v2 = 1 ;

extern color color_v3 = Silver ;
extern int   style_v3 = 1 ;
extern int   witdh_v3 = 1 ;


extern color color_high = Red ;
extern color color_low  = Blue ;
extern int   style_HL   = 0 ;
extern int   width_HL   = 1 ;
extern int   offset_end = 3 ;

string namev  = "v_line_" ;

string nameh  = "h_line_" ;

datetime time1;
datetime time2;
datetime time3;

double   price_H ;
double   price_L ;

//+------------------------------------------------------------------+
void CreateObjectV(string name,color c,int style,int width)
{

     ObjectDelete(name);     
     ObjectCreate(name, OBJ_VLINE, 0, TimeCurrent(), 0);
     ObjectSet(name, OBJPROP_BACK, true);
     ObjectSet(name, OBJPROP_WIDTH, width);
     ObjectSet(name, OBJPROP_COLOR,c);
     ObjectSet(name, OBJPROP_STYLE,style);

}
//-------------------------------------------------------------------+
void SetObjectV(string name,datetime time)
{

      ObjectSet(name,OBJPROP_TIME1,time);

}
//+------------------------------------------------------------------+
void SetObjectH(string name,double price,datetime time,int offset)
{

      ObjectSet(name,OBJPROP_PRICE1,price);
      ObjectSet(name,OBJPROP_PRICE2,price);
      ObjectSet(name,OBJPROP_TIME1,time);
      ObjectSet(name,OBJPROP_TIME2,time+(Tf*60*offset));

}
//+------------------------------------------------------------------+
void CreateObjectH(string name,color c,int style,int width)
{

     ObjectDelete(name);     
     ObjectCreate(name, OBJ_TREND,0,0,0);
     ObjectSet(name, OBJPROP_BACK, true);
     ObjectSet(name, OBJPROP_WIDTH, width);
     ObjectSet(name, OBJPROP_COLOR,c);
     ObjectSet(name, OBJPROP_STYLE,style);
     ObjectSet(name ,OBJPROP_RAY,false);

}
int init()
  {
//---- indicators

     CreateObjectV(namev+1,color_v1,style_v1,witdh_v1);
     CreateObjectV(namev+2,color_v2,style_v2,witdh_v2);
     CreateObjectV(namev+3,color_v3,style_v3,witdh_v3);
     
     CreateObjectH(nameh+1,color_high,style_HL,width_HL);
     CreateObjectH(nameh+2,color_low,style_HL,width_HL);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
     ObjectDelete(namev+1);
     ObjectDelete(namev+2);
     ObjectDelete(namev+3); 
     
     ObjectDelete(nameh+1);
     ObjectDelete(nameh+2);  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
     time1 = iTime(Symbol(),Tf,1);
     time2 = iTime(Symbol(),Tf,0); 
     time3 = time2+(Tf*60);
     
     price_H = iHigh(Symbol(),Tf,1);
     price_L = iLow(Symbol(),Tf,1);
     
        SetObjectV(namev+1,time1);
        SetObjectV(namev+2,time2);
        SetObjectV(namev+3,time3);
        
        SetObjectH(nameh+1,price_H,time1,offset_end);
        SetObjectH(nameh+2,price_L,time1,offset_end);  
//----
   return(0);
  }
//+------------------------------------------------------------------+